summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Diogo Leal2010-10-25 03:58:21 +0200
committer Erik Hanson2010-10-25 14:55:09 +0200
commit3219049c0a3672fb7b11997eff1885ab62024dc5 (patch)
tree938ed858776e36ddd644c11242af9a4929e0a1ce /audio
parent52ed5d2b2d1df79b81253ed2cd7b0e7553d93920 (diff)
downloadslackbuilds-3219049c0a3672fb7b11997eff1885ab62024dc5.tar.gz
audio/atunes: Added (full-featured audio player and manager)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/atunes/README6
-rw-r--r--audio/atunes/atunes.SlackBuild57
-rw-r--r--audio/atunes/atunes.desktop38
-rw-r--r--audio/atunes/atunes.info10
-rw-r--r--audio/atunes/atunes.pngbin0 -> 11400 bytes
-rw-r--r--audio/atunes/doinst.sh3
-rw-r--r--audio/atunes/slack-desc19
7 files changed, 133 insertions, 0 deletions
diff --git a/audio/atunes/README b/audio/atunes/README
new file mode 100644
index 0000000000..07b10c9706
--- /dev/null
+++ b/audio/atunes/README
@@ -0,0 +1,6 @@
+aTunes is a full-featured audio player and manager, developed in Java
+programming language, so it can be executed on different platforms:
+Windows, Linux and Unix-like systems, ...
+
+Currently plays mp3, ogg, wma, wav, flac, mp4 and radio streaming,
+allowing users to easily edit tags, organize music and rip Audio CDs.
diff --git a/audio/atunes/atunes.SlackBuild b/audio/atunes/atunes.SlackBuild
new file mode 100644
index 0000000000..2c1a69a4e5
--- /dev/null
+++ b/audio/atunes/atunes.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for aTunes
+# Written by Diogo Leal(estranho) - diogo@diogoleal.com
+
+PRGNAM=atunes
+VERSION=${VERSION:-2.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+ARCH=i486
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+mv $PRGNAM-$VERSION-SNAPSHOT $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cp aTunes.sh aTunes
+chmod +x aTunes
+mkdir -p $PKG/opt/aTunes
+rm -rf *.exe *.dll *.ico win_tools
+cp -a * $PKG/opt/aTunes
+
+install -D -m 644 $CWD/atunes.desktop $PKG/usr/share/applications/atunes.desktop
+install -D -m 644 $CWD/atunes.png $PKG/usr/share/pixmaps/atunes.png
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ license.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/atunes/atunes.desktop b/audio/atunes/atunes.desktop
new file mode 100644
index 0000000000..aad716ba0c
--- /dev/null
+++ b/audio/atunes/atunes.desktop
@@ -0,0 +1,38 @@
+[Desktop Entry]
+Version=1.0
+
+Type=Application
+
+Name=aTunes
+GenericName=Music Player
+GenericName[be]=Музычны плэер
+GenericName[da]=Lydafspiller
+GenericName[de]=Musikspieler
+GenericName[es]=Reproductor de música
+GenericName[fr]=Lecteur de Musique
+GenericName[it]=Lettore di Musica
+GenericName[lt]=Muzikos grotuvas
+GenericName[nl]=Muziekspeler
+GenericName[no]=Lydavspiller
+GenericName[pt]=Leitor de Música
+GenericName[ro]=Lector de Muzică
+GenericName[ru]=Аудиоплеер
+GenericName[se]=Ljudspelare
+Comment=Listen to music
+Comment[be]=Слухайце музыку
+Comment[de]=Musik hören
+Comment[fr]=Écouter de la musique
+Comment[hu]=Hallgasson zenét
+Comment[it]=Ascoltare musica
+Comment[lt]=Klausyti muzikos
+Comment[nl]=Muziek luisteren
+Comment[ru]=Слушайте музыку
+Comment[es]=Escucha música
+Icon=atunes
+
+Categories=AudioVideo;Audio;Player;Java;
+
+Exec=/opt/aTunes/aTunes %U
+TryExec=aTunes
+Terminal=false
+MimeType=application/x-ogg;audio/midi;audio/mp3;audio/mpeg;audio/mpegurl;audio/ogg;audio/prs.sid;audio/x-flac;audio/x-it;audio/x-mod;audio/x-mp3;audio/x-mpeg;audio/x-mpegurl;audio/x-ms-wma;audio/x-musepack;audio/x-s3m;audio/x-scpls;audio/x-stm;audio/x-wav;audio/x-xm;application/ogg;audio/x-vorbis+ogg;application/xspf+xml;application/x-cue;
diff --git a/audio/atunes/atunes.info b/audio/atunes/atunes.info
new file mode 100644
index 0000000000..e75564fc2a
--- /dev/null
+++ b/audio/atunes/atunes.info
@@ -0,0 +1,10 @@
+PRGNAM="atunes"
+VERSION="2.0.1"
+HOMEPAGE="http://www.atunes.org"
+DOWNLOAD="http://downloads.sourceforge.net/atunes/atunes-2.0.1.tar.gz"
+MD5SUM="57437908d66d055f7a44888d3e11f27e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Diogo Leal"
+EMAIL="estranho@diogoleal.com"
+APPROVED="dsomero"
diff --git a/audio/atunes/atunes.png b/audio/atunes/atunes.png
new file mode 100644
index 0000000000..cdbb25bc57
--- /dev/null
+++ b/audio/atunes/atunes.png
Binary files differ
diff --git a/audio/atunes/doinst.sh b/audio/atunes/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/audio/atunes/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/audio/atunes/slack-desc b/audio/atunes/slack-desc
new file mode 100644
index 0000000000..03e4ce044c
--- /dev/null
+++ b/audio/atunes/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+atunes: aTunes (full-featured audio player and manager)
+atunes:
+atunes: Currently plays mp3, ogg, wma, wav, flac, mp4 and radio streaming,
+atunes: allowing users to easily edit tags, organize music and rip Audio CDs.
+atunes:
+atunes:
+atunes: website: http://www.atunes.org/
+atunes:
+atunes:
+atunes:
+atunes: